%define	name		ipkungfu
%define	version		0.5.2
%define	release 	5mdk

Summary: 	IPKungFu is an iptables-based Linux firewall.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Networking
Source:		%{name}-%{version}.tar.bz2
Source1:    %{name}.init.bz2
URL:		http://www.linuxkungfu.org/
BuildArch:	noarch
Requires:	userspace-ipfilter
PreReq:     rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
IPKungFu is an iptables-based Linux firewall. It aims to simplify 
the configuration of Internet connection sharing, port forwarding, 
and packet filtering.

%prep

%setup

%build

%install
# Make sure we are starting with a clean slate
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# make our directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/

# install the files
bzcat %{SOURCE1} > 	$RPM_BUILD_ROOT%{_initrddir}/%{name}
install $RPM_BUILD_DIR/%{name}-%{version}/files/*.conf 		$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
install $RPM_BUILD_DIR/%{name}-%{version}/%{name} 		$RPM_BUILD_ROOT%{_sbindir}
install $RPM_BUILD_DIR/%{name}-%{version}/files/%{name}.8.bz2 	$RPM_BUILD_ROOT%{_mandir}/man8/

cat > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/%{name} << EOF
# this version of ipkungfu need to be configurated before
# it run, and, in order to not block people who install
# this rpm with a unconfigurated firewall, it will not run
# until you uncomment this line
#
# This was made to remind you to force you to configure
# ipkungfu before running it, in order to not break your internet
# connection.
#
# The configuration is in /etc/ipkungfu/
# and the doc in /usr/share/doc/ipkungfu*
#
#IPKF_CONFIGURATED=yes

EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog FAQ README COPYRIGHT
%{_sbindir}/%{name}
%config(noreplace) %attr(755,root,root) %{_initrddir}/%{name}
%{_mandir}/man8/%{name}.8.*
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%dir %attr(700,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %name
if [ $1 -ne "1" ] ; then
	if [ ! -f  %{_sysconfdir}/sysconfig/%{name} ];
	then 
		echo "IPKF_CONFIGURATED=yes" >> %{_sysconfdir}/sysconfig/%{name}
	else
		! grep -q "IPKF_CONFIGURATED" %{_sysconfdir}/sysconfig/%{name} && echo "IPKF_CONFIGURATED=yes" >> %{_sysconfdir}/sysconfig/%{name}
	fi
fi
%preun
%_preun_service %name 

%changelog

* Thu Mar 18 2004 Michael Scherer <misc@mandrake.org> 0.5.2-5mdk
- fix a typo ( /me really sucks )
- fix upgrade script
 
* Thu Mar 18 2004 Michael Scherer <misc@mandrake.org> 0.5.2-4mdk
- fix #9014, chmod +x on initscript

* Sun Jan 25 2004 Marcel Pol <mpol@mandrake.org> 0.5.2-3mdk
- make sure that iptables matches the running kernel

* Wed Dec 17 2003 Marcel Pol <mpol@mandrake.org> 0.5.2-2mdk
- depend on userspace-ipfilter

* Tue Nov 11 2003 Michael Scherer <scherer.michael@free.fr> 0.5.2-1mdk
- new init script, with idea from  Michael Spivak <phazeman@netvision.net.il>
- from Michael Spivak <phazeman@netvision.net.il>
  - New version 0.5.2

* Fri Jun 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- from Sean Donner <siegex@identityflux.com> :
	- Added a patch so that the init script points to the correct location

* Wed Jun 03 2003 Sean Donner <siegex@identityflux.com> 0.5.0-2mdk
- Updated spec file to comply with rpmlint rules

* Tue Jun 03 2003 Sean Donner <siegex@identityflux.com> 0.5.0-1mdk
- Made numerous changes the spec file to comply with Mandrake contrib rules

* Mon Jan 20 2003 TJ Fontaine <tjfontaine@clemlumber.com> 0.3.2-1tjf
- Initial Release
